読者です 読者をやめる 読者になる 読者になる

kazu22002の技術覚書

技術屋として日々の内容を記録しているサイト。PHPやcordovaをやっています。

phpのバージョンなに入れよう。。。

環境 プログラミング PHP Linux

最近PHPのサーバーにPHPのバージョンなにを入れるか考えることがあったり。

 

CentOSつかってることもあってそこが基準で考える。

 

・標準のyumだとPHP5.3

・ZendServerCEをいれてもPHP5.3

・PHP5.3のサポートがきれる??(これはいつなんだ)

http://php.net/archive/2013.php#id2013-07-11-1

 

ソースコードからではなく、できればyumで入れたいのでいろいろ調べ中。

(世の中は便利ですね。調べればやってる人は山ほどいる)

 

PHP5.3からの移行についても調べてないから、調べてからいれる内容を決める予定。

 

PHP5.4とかPHP5.5にさわる機会もほとんどなく、PHP5.6がbeta3まできてるとは。。。

 

最近の本ではPHP5.4以上で開発してる。。。最新バージョンでの開発がお勧めですかね。 

Webアプリエンジニア養成読本[しくみ、開発、環境構築・運用…全体像を最新知識で最初から! ] (Software Design plus)

Webアプリエンジニア養成読本[しくみ、開発、環境構築・運用…全体像を最新知識で最初から! ] (Software Design plus)

 

 

パーフェクトPHP (PERFECT SERIES 3)

パーフェクトPHP (PERFECT SERIES 3)

 

 

広告を非表示にする